org.apache.xmlgraphics.util.io

## Class ASCII85InputStream

- java.lang.Object
- - java.io.InputStream
  - - org.apache.xmlgraphics.util.io.ASCII85InputStream

- All Implemented Interfaces:
    java.io.Closeable, java.lang.AutoCloseable, ASCII85Constants

      public class ASCII85InputStream
      extends java.io.InputStream
      implements ASCII85Constants

  This class applies a ASCII85 decoding to the stream.

  The class is derived from InputStream instead of FilteredInputStream because we can use the read(byte[], int, int) method from InputStream which simply delegates to read(). This makes the implementation easier.

  The filter is described in chapter 3.13.3 of the PostScript Language Reference (third edition).

  Version:
    $Id$

- - ### Field Summary

    - ### Fields inherited from interface org.apache.xmlgraphics.util.io.ASCII85Constants

      `END, EOD, EOL, POW85, START, ZERO, ZERO_ARRAY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ASCII85InputStream(java.io.InputStream in)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `read()`

    - ### Methods inherited from class java.io.InputStream

      `available, close, mark, markSupported, read, read, reset, skip`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ASCII85InputStream

          public ASCII85InputStream(java.io.InputStream in)

      See Also:
        `FilterInputStream`

  - ### Method Detail

    - #### read

          public int read()
                   throws java.io.IOException

      Specified by:
        `read` in class `java.io.InputStream`
      Throws:
        `java.io.IOException`
      See Also:
        `FilterInputStream`

Copyright 1999-2023 The Apache Software Foundation. All Rights Reserved.